Bug 1094491 - openbabel testsuite is failing on ARM
Summary: openbabel testsuite is failing on ARM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openbabel
Version: rawhide
Hardware: arm
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2014-05-05 19:51 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2015-02-23 08:03 UTC (History)
4 users (show)

Fixed In Version: openbabel-2.3.2-11.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-23 08:03:32 UTC


Attachments (Terms of Use)
ARM build.log from https://koji.fedoraproject.org/koji/taskinfo?taskID=6805174 (1.16 MB, text/x-log)
2014-05-05 19:51 UTC, Dominik 'Rathann' Mierzejewski
no flags Details

Description Dominik 'Rathann' Mierzejewski 2014-05-05 19:51:52 UTC
Created attachment 892673 [details]
ARM build.log from https://koji.fedoraproject.org/koji/taskinfo?taskID=6805174

Description of problem:
Two tests from the openbabel testsuite are failing on the ARM builders:

[...]
The following tests FAILED:
	 23 - inchiSteffen_PubChem.smi_Test (Timeout)
	 54 - pytest_sym (Failed)
[...]

Version-Release number of selected component (if applicable):
2.3.2-4.fc21

How reproducible:
Always

Steps to Reproduce:
1. Try building git://pkgs.fedoraproject.org/openbabel?#b614fdfbbe7ae75417e9ce88b1b164dadeaebe17

Actual results:
Two tests fail.

Expected results:
%check should complete successfully on ARM as well.

Additional info:
Full koji log from ARM builder attached.

Comment 1 Fedora Update System 2015-02-05 08:44:20 UTC
openbabel-2.3.2-11.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openbabel-2.3.2-11.fc21

Comment 2 Fedora Update System 2015-02-06 04:00:56 UTC
Package openbabel-2.3.2-11.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openbabel-2.3.2-11.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1735/openbabel-2.3.2-11.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-02-23 08:03:32 UTC
openbabel-2.3.2-11.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.